/*
 * Linker script for usb_test
 *
 * This script contains the definitions of the memory regions for the application.
 * Since the lower 16 kB (Flash blocks 0..3) are used by the USB bootloader, the
 * user application starts from location 0x4000
*/

MEMORY
{
  /* Define each memory region */
  MFlash128 (rx) : ORIGIN = 0x00004000, LENGTH = 0x1C000 /* 112k */
  RamLoc16 (rwx) : ORIGIN = 0x10000000, LENGTH = 0x4000  /*  16k */
  RamAHB16 (rwx) : ORIGIN = 0x2007c000, LENGTH = 0x4000  /*  16k */

}
  /* Define a symbol for the top of each memory region */
  __top_MFlash128 = 0x0 + 0x20000;
  __top_RamLoc16 = 0x10000000 + 0x4000;
  __top_RamAHB16 = 0x2007c000 + 0x4000;

